Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517842 - [Regression] Cannot retire VM
Summary: [Regression] Cannot retire VM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Hilda Stastna
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On: 1514334
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 15:13 UTC by Satoe Imaishi
Modified: 2018-04-11 18:06 UTC (History)
13 users (show)

Fixed In Version: 5.9.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1514334
Environment:
Last Closed: 2018-03-06 15:13:29 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)

Comment 2 Tasos Papaioannou 2017-11-28 15:03:24 UTC
Verified on 5.9.0.11.

Comment 3 CFME Bot 2017-11-29 20:40:26 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/65fdeaa85182a5ad411860334cec84890dfabad8

commit 65fdeaa85182a5ad411860334cec84890dfabad8
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Tue Nov 21 17:08:30 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 27 10:15:04 2017 -0500

    Merge pull request #2784 from hstastna/Cannot_retire_VM
    
    Make /report_data protect @lastaction. Fix "No items were selected for XXXXX"
    (cherry picked from commit e55eea0935db2796a15d8be77042f484be3af63f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1517842

 .../application_controller/report_data_additional_options.rb      | 4 +++-
 app/helpers/application_helper.rb                                 | 3 ++-
 spec/controllers/vm_infra_controller_spec.rb                      | 8 ++++++++
 3 files changed, 13 insertions(+), 2 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.